KDIR := /lib/modules/$(shell uname -r)/build
PWD := $(shell pwd)

module_serial_A9610-objs	:= serial_rdc_A9610.o parport_rdc_A9610.o \
    HwiEUART.o HwdEUART.o \
    DrvDebug.o BusDeviceIO.o SystemPorting.o

obj-m += module_serial_A9610.o

all:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules
	modinfo module_serial_A9610.ko
	gcc -o EUART422 EUART422.c
	gcc -o EUART485 EUART485.c
	gcc -o EUARTInfo EUARTInfo.c
	
clean:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) clean
